<?php

namespace Drupal\janrain_connect_ui\Event;

use Symfony\Component\EventDispatcher\Event;

/**
 * Janrain Connect Submit Event.
 */
class JanrainConnectUiSubmitEvent extends Event {

  /**
   * Form Id.
   *
   * @var string
   */
  protected $formId;

  /**
   * Data.
   *
   * @var array
   */
  protected $data;

  /**
   * Constructs an event object.
   *
   * @param string $form_id
   *   Form ID to be submitted.
   * @param array $data
   *   Form Data.
   */
  public function __construct($form_id, array $data) {
    $this->formId = $form_id;
    $this->data = $data;
  }

  /**
   * Get the Form Id.
   */
  public function getFormId() {
    return $this->formId;
  }

  /**
   * Get the Form Id.
   */
  public function getData() {
    return $this->data;
  }

}
